import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React from "react";
import cx from "classnames";
import makeStyles from "clever-react/ui/styles/makeStyles";
var getClasses = makeStyles(function (_ref) {
  var breakpoints = _ref.breakpoints;
  return {
    main: _defineProperty({
      position: "relative",
      backgroundColor: "inherit",
      width: "100%",
      boxSizing: "border-box",
      overflow: "auto"
    }, breakpoints.down("md"), {
      height: "100%",
      boxSizing: "border-box"
    })
  };
});

var Main = function Main(_ref2) {
  var children = _ref2.children,
      _ref2$className = _ref2.className,
      className = _ref2$className === void 0 ? null : _ref2$className;
  var classes = getClasses();
  return /*#__PURE__*/React.createElement("main", {
    className: cx(classes.main, className)
  }, children);
};

export default Main;